package com.gh.gamecenter.room.dao;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import com.gh.gamecenter.entity.SignEntity;

import static androidx.room.OnConflictStrategy.REPLACE;

/**
 * Created by khy on 17/04/18.
 */
@Dao
public interface SignDao {

    @Query("select * from SignEntity where id = :id")
    SignEntity getSignEntityById(String id);

    @Insert(onConflict = REPLACE)
    void addSignEntity(SignEntity signEntity);

    @Update(onConflict = REPLACE)
    int updateSignEntity(SignEntity signEntity);
}
